%define dist Text-RecordParser

Name: perl-%dist
Version: 1.2.1
Release: alt1

Summary: Text::RecordParser - read record-oriented files
License: GPL
Group: Development/Perl

URL: %CPAN %dist
Source: http://www.cpan.org/modules/by-module/Text/%dist-v%version.tar.gz

BuildArch: noarch

# Automatically added by buildreq on Wed Jul 11 2007
BuildRequires: perl-Class-Accessor perl-IO-stringy perl-List-MoreUtils perl-Module-Build perl-Readonly perl-Test-Exception perl-Test-Pod perl-Test-Pod-Coverage perl-Text-TabularDisplay perl-version

# Some tests will fail with older versions:
BuildRequires: perl-Text-TabularDisplay >= 1.21

%description
This module is for reading record-oriented data. The most common
example have records separated by newlines and fields separated by
commas or tabs, but this module aims to provide a consistent interface
for handling sequential records in a file however they may be
delimited. 

%prep
%setup -n %dist-v%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes TODO
%_bindir/*
%perl_vendor_privlib/Text
%perl_vendor_man3dir/*
%_man1dir/*

%changelog
* Wed Jul 11 2007 Victor Forsyuk <force@altlinux.org> 1.2.1-alt1
- 1.2.1

* Thu Aug 25 2005 Alexey Morozov <morozov@altlinux.org> 0.09-alt1
- Initial build for ALT Linux
